/****************************************************************************************

		Modeler.r

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Jerome Bignon
		Date:	05/18/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		08/20/99	cph			remove COM prefix
		05/18/99	Jerome		Creation
		22/07/99	Mael		include .rsrc on MAC

*****************************************************************************************/

#include "External3DAPI.r"
#include "Copyright.h"
#include "ModelerDef.h"
#include "interfaceids.h"
#include "PropertiesRTypes.r"
#include "MCFInterfaceIDs.h"

#ifndef qUsingResourceLinker
include "Modeler.rsr";
#endif

// ExternalModeler ressources -----------------------------------

resource 'COMP' (kModeler)
{
	kRID_ModuleFamilyID,
	kModelerID,
	"Modeler",
	"Assemble",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'GUID' (kModeler)
{
	{
		R_IID_I3DExModule,
		R_CLSID_Modeler
	}
};

resource 'modu' (kModeler)
{
	0,						// Host window ID (here, main Perspective Window)
	125,					// Menu bar ID (MBAR)
	134,					// Tool bar ID (TBAR)
	0,						// Preferences PMAP resource ID
	0,						// Preferences View ID
	0,						// Default Preferences values resource ID (prfs)
	'PeRs',					// Workspace class signature
	kModeler,				// Minimized iconID
	-1,						// Window context menu ID (CMNU)
	'slav',					// Slave module
};

resource 'mdlr'	(kModeler)
{
	cannotEditPatches,
	cannotEditFacets,	
	{
		'MODp', isNative
	}
};

// Menu Bar resources ----------------------------------------------------------------

resource 'MBAR' (125,"Modeler",purgeable)
{
	{ 118 , 110 }
};

resource 'CMNU' (118,"View",purgeable)
{
	118, textMenuProc, 0, enabled, "&View",
	{
		"Preset Position" , noIcon , hierarchicalMenu , "\0x78" , plain , nocommand;
		//"-" , noicon , noKey , noMark , plain , nocommand;
	}
};

resource 'CMNU' (120,"Preset Position",purgeable)
{
	120, textMenuProc, 0, enabled, "",
	{
		"&Top"		,	noIcon	, "\0x38" , noMark , plain , 20108 ; // Id must be between 20000
		"Botto&m"	,	noIcon	, "\0x32" ,	noMark , plain , 20102 ;
		"&Left"		,	noIcon	, "\0x34" ,	noMark , plain , 20104 ;
		"&Right"	,	noIcon 	, "\0x36" ,	noMark , plain , 20106 ;
		"&Front"	,	noIcon	, "\0x31" ,	noMark , plain , 20101 ;	
		"&Back"		,	noIcon	, "\0x33" ,	noMark , plain , 20103 ;
	}
};

resource 'CMNU' (110,"Tree",purgeable)
{
	110, textMenuProc, 0, enabled, "&Tree",
	{
		"&Steps number...",	noIcon, "",	noMark, plain, 20112 ;
	}
};

// Toolbar resource ------------------------------------------------------------------

resource 'TBAR' (134, "ToolBar", purgeable)
{
	"ToolBar", straightLayout,
	{
		9400, "Selection", "t", noAction, alwaysEnabled, style_normal { useShadow, 9400, 0, procedural, procedural, procedural, procedural };
		9402, "Hand", " ", noAction, alwaysEnabled, style_normal { useShadow, 9402, 0, procedural, procedural, procedural, procedural };
		9420, "Zoom +", noKey, noAction, alwaysEnabled, style_normal { useShadow, 9420, 0, procedural, procedural, procedural, procedural };
		9421, "Zoom -", noKey, noAction, alwaysEnabled, style_normal { useShadow, 9421, 0, procedural, procedural, procedural, procedural };
		9422, "Zoom 1:1", noKey, 20113, alwaysEnabled, style_normal { useShadow, 9422, 0, procedural, procedural, procedural, procedural }; //Button
		20200, "Steps number", noKey, 20112, alwaysEnabled, style_normal { useShadow, 20200, 0, procedural, procedural, procedural, procedural }; //Action Number specified => It's a Button , 20112 = Number of steps
	}
};

// Tree primitive resource --------------------------------------------------------------
resource 'COMP' (136)
{
	kRID_GeometricPrimitiveFamilyID,
	'MODp',
	"TreePrim",
	"SDK Examples",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'GUID' (136)
{
	{
		R_IID_I3DExGeometricPrimitive,
		R_CLSID_TreePrim
	}
};

resource 'STR#' (136)
{
	{
		"Branches",		// string  1
		"Steps",		// string  2
		"Angle"			// string  3
	}
};

// External View ressources -----------------------------------

resource 'COMP' (kModelerView)
{
	'part',					 		// External View Family
	'MODv',							// Class ID  (User Data with ADLib)
	"ModelerView",
	"SDK Examples",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'GUID' (kModelerView)
{
	{
		R_IID_IMFExPart,
		R_CLSID_ModelerView
	}
};

// Properties resources -----------------------------------------

resource 'Prop' (200) 
{
	SinglePage
	{
		200,
	}
};
